﻿package {
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.Event;
	import funnel.*;

	/**
	* ...
	* @author Kazushi Mukaiyama
	*/
	public class Main extends Sprite {
		private var fio:Fio;
		
		private var cx:Number;
		private var cy:Number;
		private var cz:Number;
		private var px:Number;
		private var py:Number;
		private var pz:Number;
		
		public function Main() {
			trace("start");
			init();
			addEvents();
		}
		
		private function init():void
		{
			var config:Configuration = Fio.FIRMATA;
			config.setDigitalPinMode(13, OUT);

			fio = new Fio([1], config);
			
			anim.gotoAndStop(1);
		}
		
		private function addEvents():void
		{
			fio.addEventListener(FunnelEvent.READY, trace);
			fio.addEventListener(FunnelErrorEvent.REBOOT_ERROR, trace);
			fio.addEventListener(FunnelErrorEvent.CONFIGURATION_ERROR, trace);
			fio.addEventListener(FunnelErrorEvent.ERROR, trace);
			
			// ループ
			this.addEventListener(Event.ENTER_FRAME, enterFrame);
		}
		
		private function enterFrame(e:Event):void 
		{
			cx = fio.ioModule(1).analogPin(0).value;
			cy = fio.ioModule(1).analogPin(1).value;
			cz = fio.ioModule(1).analogPin(2).value;
			
			//zの値が大きく変わったとき
			if (Math.abs(pz - cz) > 0.8) {
				//なんかする
				trace("hoge!");
				anim.gotoAndStop(2);
			}
			
			px = cx;
			py = cy;
			pz = cz;
		}
	}
}